Overview | Namespace | Component | Index | Help
| Oracle WLOC 10.3 Service Metadata Schema Reference (Version 1.0)
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## bea.com/loc/metadata
complexType floatConstraintType

    {http://www.w3.org/2001/XMLSchema}anyType
        {bea.com/loc/metadata}floatConstraintType

Model
  `<...>
  name, description?, key, priority, state, evaluation-period?, instance-name, instance-type, attribute-name, ignore-observer-errors?, match-undefined?, constraint-type, value
  </...>`

Prohibited substitutions (block)
  none (extensions and restrictions are allowed)

Usage
  Derived types: none
  Components using this type: constraintsDefinitionType/float-constraint, constraintsDefinitionType/float-constraint

Documentation

      Defines a policy constraint on an observed value of type float

Nested Element Summary
`string` | `name` The name of the constraint definition.
`string` | `description` optional A description of this constraint
`string` | `key` The key for this constraint definition used in constraint bindings.
`nonNegativeInteger` | `priority` The priority of this constraint.
`annonymous type derived from string` | `state` Defines whether this constraint is triggered when the service is deployed or undeployed.
`long` | `evaluation-period` optional In the case where a policy violation has been failed and handled, this defines the minimum amount of time the system will wait before re-evaluating that policy.
`string` | `instance-name` The instance name of the object containing the metric that is measured to test this constraint.
`string` | `instance-type` The instance type of the objcet containing the metric that is measured to test this constraint.
`string` | `attribute-name` The name of the attribute on the object instance that defines the metric.
`boolean` | `ignore-observer-errors` optional If true, then the constraint will match even if the matched metric has an observer error.
`boolean` | `match-undefined` optional If true, the value will be assumed to be 0 if there is no metric available.
`annonymous type derived from string` | `constraint-type` min means the policy fails if the metric goes below a certain value.
`string` | `value` The boundary condition for this constraint, depending on the constraint type, this policy will fail if the actual value goes above (max) or below (min) this value.

Overview | Namespace | Component | Index | Help
| Oracle WLOC 10.3 Service Metadata Schema Reference (Version 1.0)
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 10.3